<?php
/**
 * The template to display blog archive
 *
 * @package WordPress
 * @subpackage DENTAL_CLINIC
 * @since DENTAL_CLINIC 1.0
 */

/*
Template Name: Blog archive
*/

/**
 * Make page with this template and put it into menu
 * to display posts as blog archive
 * You can setup output parameters (blog style, posts per page, parent category, etc.)
 * in the Theme Options section (under the page content)
 * You can build this page in the WPBakery Page Builder to make custom page layout:
 * just insert %%CONTENT%% in the desired place of content
 */

// Get template page's content
$dental_clinic_content = '';
$dental_clinic_blog_archive_mask = '%%CONTENT%%';
$dental_clinic_blog_archive_subst = sprintf('<div class="blog_archive">%s</div>', $dental_clinic_blog_archive_mask);
if ( have_posts() ) {
	the_post(); 
	if (($dental_clinic_content = apply_filters('the_content', get_the_content())) != '') {
		if (($dental_clinic_pos = strpos($dental_clinic_content, $dental_clinic_blog_archive_mask)) !== false) {
			$dental_clinic_content = preg_replace('/(\<p\>\s*)?'.$dental_clinic_blog_archive_mask.'(\s*\<\/p\>)/i', $dental_clinic_blog_archive_subst, $dental_clinic_content);
		} else
			$dental_clinic_content .= $dental_clinic_blog_archive_subst;
		$dental_clinic_content = explode($dental_clinic_blog_archive_mask, $dental_clinic_content);
	}
}

// Prepare args for a new query
$dental_clinic_args = array(
	'post_status' => current_user_can('read_private_pages') && current_user_can('read_private_posts') ? array('publish', 'private') : 'publish'
);
$dental_clinic_args = dental_clinic_query_add_posts_and_cats($dental_clinic_args, '', dental_clinic_get_theme_option('post_type'), dental_clinic_get_theme_option('parent_cat'));
$dental_clinic_page_number = get_query_var('paged') ? get_query_var('paged') : (get_query_var('page') ? get_query_var('page') : 1);
if ($dental_clinic_page_number > 1) {
	$dental_clinic_args['paged'] = $dental_clinic_page_number;
	$dental_clinic_args['ignore_sticky_posts'] = true;
}
$dental_clinic_ppp = dental_clinic_get_theme_option('posts_per_page');
if ((int) $dental_clinic_ppp != 0)
	$dental_clinic_args['posts_per_page'] = (int) $dental_clinic_ppp;
// Make a new query
query_posts( $dental_clinic_args );
// Set a new query as main WP Query
$GLOBALS['wp_the_query'] = $GLOBALS['wp_query'];

// Set query vars in the new query!
if (is_array($dental_clinic_content) && count($dental_clinic_content) == 2) {
	set_query_var('blog_archive_start', $dental_clinic_content[0]);
	set_query_var('blog_archive_end', $dental_clinic_content[1]);
}

get_template_part('index');
?>