<?php
/**
 * The Classic template to display the content
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage DENTAL_CLINIC
 * @since DENTAL_CLINIC 1.0
 */

$dental_clinic_blog_style = explode('_', dental_clinic_get_theme_option('blog_style'));
$dental_clinic_columns = empty($dental_clinic_blog_style[1]) ? 1 : max(1, $dental_clinic_blog_style[1]);
$dental_clinic_expanded = !dental_clinic_sidebar_present() && dental_clinic_is_on(dental_clinic_get_theme_option('expand_content'));
$dental_clinic_post_format = get_post_format();
$dental_clinic_post_format = empty($dental_clinic_post_format) ? 'standard' : str_replace('post-format-', '', $dental_clinic_post_format);
$dental_clinic_animation = dental_clinic_get_theme_option('blog_animation');

?><article id="post-<?php the_ID(); ?>" 
	<?php post_class( 'post_item post_layout_chess post_layout_chess_'.esc_attr($dental_clinic_columns).' post_format_'.esc_attr($dental_clinic_post_format) ); ?>
	<?php echo (!dental_clinic_is_off($dental_clinic_animation) ? ' data-animation="'.esc_attr(dental_clinic_get_animation_classes($dental_clinic_animation)).'"' : ''); ?>
	>

	<?php
	// Add anchor
	if ($dental_clinic_columns == 1 && shortcode_exists('trx_sc_anchor')) {
		echo do_shortcode('[trx_sc_anchor id="post_'.esc_attr(get_the_ID()).'" title="'.the_title_attribute( array( 'echo' => false ) ).'"]');
	}

	// Featured image
	dental_clinic_show_post_featured( array(
											'class' => $dental_clinic_columns == 1 ? 'trx-stretch-height' : '',
											'show_no_image' => true,
											'thumb_bg' => true,
											'thumb_size' => dental_clinic_get_thumb_size(
																	strpos(dental_clinic_get_theme_option('body_style'), 'full')!==false
																		? ( $dental_clinic_columns > 1 ? 'huge' : 'original' )
																		: (	$dental_clinic_columns > 2 ? 'big' : 'huge')
																	)
											) 
										);

	?><div class="post_inner"><div class="post_inner_content"><?php 

		?><div class="post_header entry-header"><?php 
			do_action('dental_clinic_action_before_post_title'); 

			// Post title
			the_title( sprintf( '<h3 class="post_title entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h3>' );
			
			do_action('dental_clinic_action_before_post_meta'); 

			// Post meta
			$dental_clinic_post_meta = dental_clinic_show_post_meta(
                array(
                    'categories' => false,
                    'date' => true,
                    'author' => true,
                    'edit' => false,
                    'seo' => false,
                    'share' => false,
                    'counters' => $dental_clinic_columns < 2 ?  'comments,views' : ''	//comments,likes,views - comma separated in any combination
                )
								);
			dental_clinic_show_layout($dental_clinic_post_meta);
		?></div><!-- .entry-header -->
	
		<div class="post_content entry-content">
			<div class="post_content_inner">
				<?php
				$dental_clinic_show_learn_more = !in_array($dental_clinic_post_format, array('link', 'aside', 'status', 'quote'));
				if (has_excerpt()) {
					the_excerpt();
				} else if (strpos(get_the_content('!--more'), '!--more')!==false) {
					the_content( '' );
				} else if (in_array($dental_clinic_post_format, array('link', 'aside', 'status', 'quote'))) {
					the_content();
				} else if (substr(get_the_content(), 0, 1)!='[') {
					the_excerpt();
				}
				?>
			</div>
			<?php
			// Post meta
			if (in_array($dental_clinic_post_format, array('link', 'aside', 'status', 'quote'))) {
				dental_clinic_show_layout($dental_clinic_post_meta);
			}
			// More button
			if ( $dental_clinic_show_learn_more ) {
				?><p><a class="more-link" href="<?php the_permalink(); ?>"><?php esc_html_e('Read more', 'dental-clinic'); ?></a></p><?php
			}
			?>
		</div><!-- .entry-content -->

	</div></div><!-- .post_inner -->

</article>