<?php
/**
 * The Classic template to display the content
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage DENTAL_CLINIC
 * @since DENTAL_CLINIC 1.0
 */

$dental_clinic_blog_style = explode('_', dental_clinic_get_theme_option('blog_style'));
$dental_clinic_columns = empty($dental_clinic_blog_style[1]) ? 2 : max(2, $dental_clinic_blog_style[1]);
$dental_clinic_expanded = !dental_clinic_sidebar_present() && dental_clinic_is_on(dental_clinic_get_theme_option('expand_content'));
$dental_clinic_post_format = get_post_format();
$dental_clinic_post_format = empty($dental_clinic_post_format) ? 'standard' : str_replace('post-format-', '', $dental_clinic_post_format);
$dental_clinic_animation = dental_clinic_get_theme_option('blog_animation');

?><div class="<?php echo trim($dental_clinic_blog_style[0]) == 'classic' ? 'column' : 'masonry_item masonry_item'; ?>-1_<?php echo esc_attr($dental_clinic_columns); ?>"><article id="post-<?php the_ID(); ?>"
	<?php post_class( 'post_item post_format_'.esc_attr($dental_clinic_post_format)
					. ' post_layout_classic post_layout_classic_'.esc_attr($dental_clinic_columns)
					. ' post_layout_'.esc_attr($dental_clinic_blog_style[0]) 
					. ' post_layout_'.esc_attr($dental_clinic_blog_style[0]).'_'.esc_attr($dental_clinic_columns)
					); ?>
	<?php echo (!dental_clinic_is_off($dental_clinic_animation) ? ' data-animation="'.esc_attr(dental_clinic_get_animation_classes($dental_clinic_animation)).'"' : ''); ?>
	>

	<?php

	// Featured image
	dental_clinic_show_post_featured( array( 'thumb_size' => dental_clinic_get_thumb_size($dental_clinic_blog_style[0] == 'classic'
													? (strpos(dental_clinic_get_theme_option('body_style'), 'full')!==false 
															? ( $dental_clinic_columns > 2 ? 'big' : 'huge' )
															: (	$dental_clinic_columns > 2
																? ($dental_clinic_expanded ? 'med' : 'small')
																: ($dental_clinic_expanded ? 'big' : 'med')
																)
														)
													: (strpos(dental_clinic_get_theme_option('body_style'), 'full')!==false 
															? ( $dental_clinic_columns > 2 ? 'masonry-big' : 'full' )
															: (	$dental_clinic_columns <= 2 && $dental_clinic_expanded ? 'masonry-big' : 'masonry')
														)
								) ) );

	if ( !in_array($dental_clinic_post_format, array('link', 'aside', 'status', 'quote')) ) {
		?>
		<div class="post_header entry-header">
			<?php 
			do_action('dental_clinic_action_before_post_title'); 

			// Post title
			the_title( sprintf( '<h4 class="post_title entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h4>' );

			do_action('dental_clinic_action_before_post_meta'); 

			// Post meta
			dental_clinic_show_post_meta(
                array(
                    'categories' => false,
                    'date' => true,
                    'author' => true,
                    'edit' => false,
                    'seo' => false,
                    'share' => false,
                    'counters' => 'comments,views'	//comments,likes,views - comma separated in any combination
                )
			);
			?>
		</div><!-- .entry-header -->
		<?php
	}		
	?>

	<div class="post_content entry-content">
		<div class="post_content_inner">
			<?php
			$dental_clinic_show_learn_more = false;
			if (has_excerpt()) {
				the_excerpt();
			} else if (strpos(get_the_content('!--more'), '!--more')!==false) {
				the_content( '' );
			} else if (in_array($dental_clinic_post_format, array('link', 'aside', 'status', 'quote'))) {
				the_content();
			} else if (substr(get_the_content(), 0, 1)!='[') {
				the_excerpt();
			}
			?>
		</div>
		<?php
		// Post meta
		if (in_array($dental_clinic_post_format, array('link', 'aside', 'status', 'quote'))) {
			dental_clinic_show_post_meta(array(
				'share' => false,
				'counters' => 'comments'
				)
			);
		}
		// More button
		if ( $dental_clinic_show_learn_more ) {
			?><p><a class="more-link" href="<?php the_permalink(); ?>"><?php esc_html_e('Read more', 'dental-clinic'); ?></a></p><?php
		}
		?>
	</div><!-- .entry-content -->

</article></div>