<?php
/**
 * The Gallery template to display posts
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage DENTAL_CLINIC
 * @since DENTAL_CLINIC 1.0
 */

$dental_clinic_blog_style = explode('_', dental_clinic_get_theme_option('blog_style'));
$dental_clinic_columns = empty($dental_clinic_blog_style[1]) ? 2 : max(2, $dental_clinic_blog_style[1]);
$dental_clinic_post_format = get_post_format();
$dental_clinic_post_format = empty($dental_clinic_post_format) ? 'standard' : str_replace('post-format-', '', $dental_clinic_post_format);
$dental_clinic_animation = dental_clinic_get_theme_option('blog_animation');
$dental_clinic_image = wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'full' );

?><article id="post-<?php the_ID(); ?>" 
	<?php post_class( 'post_item post_layout_portfolio post_layout_gallery post_layout_gallery_'.esc_attr($dental_clinic_columns).' post_format_'.esc_attr($dental_clinic_post_format) ); ?>
	<?php echo (!dental_clinic_is_off($dental_clinic_animation) ? ' data-animation="'.esc_attr(dental_clinic_get_animation_classes($dental_clinic_animation)).'"' : ''); ?>
	data-size="<?php if (!empty($dental_clinic_image[1]) && !empty($dental_clinic_image[2])) echo intval($dental_clinic_image[1]) .'x' . intval($dental_clinic_image[2]); ?>"
	data-src="<?php if (!empty($dental_clinic_image[0])) echo esc_url($dental_clinic_image[0]); ?>"
	>

	<?php
	$dental_clinic_image_hover = 'icon';
	if (in_array($dental_clinic_image_hover, array('icons', 'zoom'))) $dental_clinic_image_hover = 'dots';
	// Featured image
	dental_clinic_show_post_featured(array(
		'hover' => $dental_clinic_image_hover,
		'thumb_size' => dental_clinic_get_thumb_size( strpos(dental_clinic_get_theme_option('body_style'), 'full')!==false || $dental_clinic_columns < 3 ? 'masonry-big' : 'masonry' ),
		'thumb_only' => true,
		'show_no_image' => true,
		'post_info' => '<div class="post_details">'
							. '<h2 class="post_title"><a href="'.esc_url(get_permalink()).'">'. esc_html(get_the_title()) . '</a></h2>'
							. '<div class="post_description">'
								. dental_clinic_show_post_meta(array(
									'categories' => true,
									'date' => true,
									'edit' => false,
									'seo' => false,
									'share' => true,
									'counters' => 'comments',
									'echo' => false
									))
								. '<div class="post_description_content">'
									. apply_filters('the_excerpt', get_the_excerpt())
								. '</div>'
								. '<a href="'.esc_url(get_permalink()).'" class="theme_button post_readmore"><span class="post_readmore_label">' . esc_html__('Learn more', 'dental-clinic') . '</span></a>'
							. '</div>'
						. '</div>'
	));
	?>
</article>