<?php
/**
 * The Portfolio template to display the content
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage DENTAL_CLINIC
 * @since DENTAL_CLINIC 1.0
 */

$dental_clinic_blog_style = explode('_', dental_clinic_get_theme_option('blog_style'));
$dental_clinic_columns = empty($dental_clinic_blog_style[1]) ? 2 : max(2, $dental_clinic_blog_style[1]);
$dental_clinic_post_format = get_post_format();
$dental_clinic_post_format = empty($dental_clinic_post_format) ? 'standard' : str_replace('post-format-', '', $dental_clinic_post_format);
$dental_clinic_animation = dental_clinic_get_theme_option('blog_animation');

?><article id="post-<?php the_ID(); ?>" 
	<?php post_class( 'post_item post_layout_portfolio post_layout_portfolio_'.esc_attr($dental_clinic_columns).' post_format_'.esc_attr($dental_clinic_post_format) ); ?>
	<?php echo (!dental_clinic_is_off($dental_clinic_animation) ? ' data-animation="'.esc_attr(dental_clinic_get_animation_classes($dental_clinic_animation)).'"' : ''); ?>
	>

	<?php
	$dental_clinic_image_hover = dental_clinic_get_theme_option('image_hover');
	// Featured image
	dental_clinic_show_post_featured(array(
		'thumb_size' => dental_clinic_get_thumb_size(strpos(dental_clinic_get_theme_option('body_style'), 'full')!==false || $dental_clinic_columns < 3 ? 'masonry-big' : 'masonry'),
		'show_no_image' => true,
		'class' => $dental_clinic_image_hover == 'dots' ? 'hover_with_info' : '',
		'post_info' => $dental_clinic_image_hover == 'dots' ? '<div class="post_info">'.esc_html(get_the_title()).'</div>' : ''
	));
	?>
</article>