<?php
/**
 * The Sticky template to display the sticky posts
 *
 * Used for index/archive
 *
 * @package WordPress
 * @subpackage DENTAL_CLINIC
 * @since DENTAL_CLINIC 1.0
 */

$dental_clinic_columns = max(1, min(3, count(get_option( 'sticky_posts' ))));
$dental_clinic_post_format = get_post_format();
$dental_clinic_post_format = empty($dental_clinic_post_format) ? 'standard' : str_replace('post-format-', '', $dental_clinic_post_format);
$dental_clinic_full_content = dental_clinic_get_theme_option('blog_content') != 'excerpt' || in_array($dental_clinic_post_format, array('link', 'aside', 'status', 'quote'));
$dental_clinic_animation = dental_clinic_get_theme_option('blog_animation');

?><div class="column-1_<?php echo esc_attr($dental_clinic_columns); ?>"><article id="post-<?php the_ID(); ?>" 
	<?php post_class( 'post_item post_layout_sticky post_format_'.esc_attr($dental_clinic_post_format) ); ?>
	<?php echo (!dental_clinic_is_off($dental_clinic_animation) ? ' data-animation="'.esc_attr(dental_clinic_get_animation_classes($dental_clinic_animation)).'"' : ''); ?>
	>

	<?php
	if ( is_sticky() && is_home() && !is_paged() ) {
		?><span class="post_label label_sticky"><?php esc_html_e('Sticky Post', 'dental-clinic'); ?></span><?php
	}

	// Featured image
	dental_clinic_show_post_featured(array(
		'thumb_size' => dental_clinic_get_thumb_size($dental_clinic_columns==1 ? 'big' : ($dental_clinic_columns==2 ? 'med' : 'avatar'))
	));

	if ( !in_array($dental_clinic_post_format, array('link', 'aside', 'status', 'quote')) ) {
        ?><div class="post-ls"><?php
        // Title and post meta
        if (get_the_title() != '') {
            ?>
            <div class="post_header entry-header">
                <?php
                do_action('dental_clinic_action_before_post_title');

                // Post meta
                dental_clinic_show_post_meta(array(
                        'categories' => false,
                        'date' => false,
                        'author' => false,
                        'edit' => false,
                        'seo' => false,
                        'share' => false,
                        'counters' => 'comments,likes,views'	//comments,likes,views - comma separated in any combination
                    )
                );
                ?>

            </div><!-- .post_header --><?php
        }
        // Post title
        the_title( sprintf( '<h2 class="post_title entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' );

        do_action('dental_clinic_action_before_post_meta');
        // Post content
        ?><div class="post_content entry-content"><?php
        if ($dental_clinic_full_content) {
            // Post content area
            ?><div class="post_content_inner"><?php
            the_content( '' );
            ?></div><?php
            // Inner pages
            wp_link_pages( array(
                'before'      => '<div class="page_links"><span class="page_links_title">' . esc_html__( 'Pages:', 'dental-clinic' ) . '</span>',
                'after'       => '</div>',
                'link_before' => '<span>',
                'link_after'  => '</span>',
                'pagelink'    => '<span class="screen-reader-text">' . esc_html__( 'Page', 'dental-clinic' ) . ' </span>%',
                'separator'   => '<span class="screen-reader-text">, </span>',
            ) );

        } else {

            $dental_clinic_show_learn_more = !in_array($dental_clinic_post_format, array('link', 'aside', 'status', 'quote'));

            // Post content area
            ?><div class="post_content_inner"><?php
            if (has_excerpt()) {
                the_excerpt();
            } else if (strpos(get_the_content('!--more'), '!--more')!==false) {
                the_content( '' );
            } else if (in_array($dental_clinic_post_format, array('link', 'aside', 'status', 'quote'))) {
                the_content();
            } else if (substr(get_the_content(), 0, 1)!='[') {
                the_excerpt();
            }
            ?></div><?php

        }
        ?></div><!-- .entry-content -->
        </div><div class="post-rs"><?php
            // Post meta
            dental_clinic_show_post_meta(array(
                    'categories' => false,
                    'date' => true,
                    'author' => false,
                    'edit' => false,
                    'seo' => false,
                    'share' => false,
                    'counters' => ''	//comments,likes,views - comma separated in any combination
                )
            );
            ?><div class="author-image"><?php
                $dental_clinic_mult = dental_clinic_get_retina_multiplier();
                echo get_avatar( get_the_author_meta( 'user_email' ), 120*$dental_clinic_mult );
                ?></div>
            <span class="author-posted"><?php esc_html_e('Posted by', 'dental-clinic'); ?></span>
            <a class="post_meta_item post_author" rel="author" href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>">
                <?php echo esc_html(get_the_author()); ?>
            </a>
            <?php
            ?></div>
		<?php
	}
	?>
</article></div>