<?php
/**
 * The template for homepage posts with "Classic" style
 *
 * @package WordPress
 * @subpackage DENTAL_CLINIC
 * @since DENTAL_CLINIC 1.0
 */

dental_clinic_storage_set('blog_archive', true);

// Load scripts for 'Masonry' layout
if (substr(dental_clinic_get_theme_option('blog_style'), 0, 7) == 'masonry') {
	wp_enqueue_script( 'classie', dental_clinic_get_file_url('js/theme.gallery/classie.min.js'), array(), null, true );
	wp_enqueue_script( 'imagesloaded', dental_clinic_get_file_url('js/theme.gallery/imagesloaded.min.js'), array(), null, true );
	wp_enqueue_script( 'masonry', dental_clinic_get_file_url('js/theme.gallery/masonry.min.js'), array(), null, true );
	wp_enqueue_script( 'dental-clinic-gallery-script', dental_clinic_get_file_url('js/theme.gallery/theme.gallery.js'), array(), null, true );
}

get_header(); 

if (have_posts()) {

	echo get_query_var('blog_archive_start');

	$dental_clinic_classes = 'posts_container '
						. (substr(dental_clinic_get_theme_option('blog_style'), 0, 7) == 'classic' ? 'columns_wrap' : 'masonry_wrap');
	$dental_clinic_stickies = is_home() ? get_option( 'sticky_posts' ) : false;
	$dental_clinic_sticky_out = is_array($dental_clinic_stickies) && count($dental_clinic_stickies) > 0 && get_query_var( 'paged' ) < 1;
	if ($dental_clinic_sticky_out) {
		?><div class="sticky_wrap columns_wrap"><?php	
	}
	if (!$dental_clinic_sticky_out) {
		if (dental_clinic_get_theme_option('first_post_large') && !is_paged() && !in_array(dental_clinic_get_theme_option('body_style'), array('fullwide', 'fullscreen'))) {
			the_post();
			get_template_part( 'content', 'excerpt' );
		}
		
		?><div class="<?php echo esc_attr($dental_clinic_classes); ?>"><?php
	}
	while ( have_posts() ) { the_post(); 
		if ($dental_clinic_sticky_out && !is_sticky()) {
			$dental_clinic_sticky_out = false;
			?></div><div class="<?php echo esc_attr($dental_clinic_classes); ?>"><?php
		}
		get_template_part( 'content', $dental_clinic_sticky_out && is_sticky() ? 'sticky' : 'classic' );
	}
	
	?></div><?php

	dental_clinic_show_pagination();

	echo get_query_var('blog_archive_end');

} else {

	if ( is_search() )
		get_template_part( 'content', 'none-search' );
	else
		get_template_part( 'content', 'none-archive' );

}

get_footer();
?>