<?php
/**
 * The template for homepage posts with "Portfolio" style
 *
 * @package WordPress
 * @subpackage DENTAL_CLINIC
 * @since DENTAL_CLINIC 1.0
 */

dental_clinic_storage_set('blog_archive', true);

// Load scripts for both 'Gallery' and 'Portfolio' layouts!
wp_enqueue_script( 'classie', dental_clinic_get_file_url('js/theme.gallery/classie.min.js'), array(), null, true );
wp_enqueue_script( 'imagesloaded', dental_clinic_get_file_url('js/theme.gallery/imagesloaded.min.js'), array(), null, true );
wp_enqueue_script( 'masonry', dental_clinic_get_file_url('js/theme.gallery/masonry.min.js'), array(), null, true );
wp_enqueue_script( 'dental-clinic-gallery-script', dental_clinic_get_file_url('js/theme.gallery/theme.gallery.js'), array(), null, true );

get_header(); 

if (have_posts()) {

	echo get_query_var('blog_archive_start');

	$dental_clinic_stickies = is_home() ? get_option( 'sticky_posts' ) : false;
	$dental_clinic_sticky_out = is_array($dental_clinic_stickies) && count($dental_clinic_stickies) > 0 && get_query_var( 'paged' ) < 1;
	
	// Show filters
	$dental_clinic_cat = dental_clinic_get_theme_option('parent_cat');
	$dental_clinic_post_type = dental_clinic_get_theme_option('post_type');
	$dental_clinic_taxonomy = dental_clinic_get_post_type_taxonomy($dental_clinic_post_type);
	$dental_clinic_show_filters = dental_clinic_get_theme_option('show_filters');
	$dental_clinic_tabs = array();
	if (!dental_clinic_is_off($dental_clinic_show_filters)) {
		$dental_clinic_args = array(
			'type'			=> $dental_clinic_post_type,
			'child_of'		=> $dental_clinic_cat,
			'orderby'		=> 'name',
			'order'			=> 'ASC',
			'hide_empty'	=> 1,
			'hierarchical'	=> 0,
			'exclude'		=> '',
			'include'		=> '',
			'number'		=> '',
			'taxonomy'		=> $dental_clinic_taxonomy,
			'pad_counts'	=> false
		);
		$dental_clinic_portfolio_list = get_terms($dental_clinic_args);
		if (is_array($dental_clinic_portfolio_list) && count($dental_clinic_portfolio_list) > 0) {
			$dental_clinic_tabs[$dental_clinic_cat] = esc_html__('All', 'dental-clinic');
			foreach ($dental_clinic_portfolio_list as $dental_clinic_term) {
				if (isset($dental_clinic_term->term_id)) $dental_clinic_tabs[$dental_clinic_term->term_id] = $dental_clinic_term->name;
			}
		}
	}
	if (count($dental_clinic_tabs) > 0) {
		$dental_clinic_portfolio_filters_ajax = true;
		$dental_clinic_portfolio_filters_active = $dental_clinic_cat;
		$dental_clinic_portfolio_filters_id = 'portfolio_filters';
		if (!is_customize_preview())
			wp_enqueue_script('jquery-ui-tabs', false, array('jquery', 'jquery-ui-core'), null, true);
		?>
		<div class="portfolio_filters dental_clinic_tabs dental_clinic_tabs_ajax">
			<ul class="portfolio_titles dental_clinic_tabs_titles">
				<?php
				foreach ($dental_clinic_tabs as $dental_clinic_id=>$dental_clinic_title) {
					?><li><a href="<?php echo esc_url(dental_clinic_get_hash_link(sprintf('#%s_%s_content', $dental_clinic_portfolio_filters_id, $dental_clinic_id))); ?>" data-tab="<?php echo esc_attr($dental_clinic_id); ?>"><?php echo esc_html($dental_clinic_title); ?></a></li><?php
				}
				?>
			</ul>
			<?php
			$dental_clinic_ppp = dental_clinic_get_theme_option('posts_per_page');
			if (dental_clinic_is_inherit($dental_clinic_ppp)) $dental_clinic_ppp = '';
			foreach ($dental_clinic_tabs as $dental_clinic_id=>$dental_clinic_title) {
				$dental_clinic_portfolio_need_content = $dental_clinic_id==$dental_clinic_portfolio_filters_active || !$dental_clinic_portfolio_filters_ajax;
				?>
				<div id="<?php echo esc_attr(sprintf('%s_%s_content', $dental_clinic_portfolio_filters_id, $dental_clinic_id)); ?>"
					class="portfolio_content dental_clinic_tabs_content"
					data-blog-template="<?php echo esc_attr(dental_clinic_storage_get('blog_template')); ?>"
					data-blog-style="<?php echo esc_attr(dental_clinic_get_theme_option('blog_style')); ?>"
					data-posts-per-page="<?php echo esc_attr($dental_clinic_ppp); ?>"
					data-post-type="<?php echo esc_attr($dental_clinic_post_type); ?>"
					data-taxonomy="<?php echo esc_attr($dental_clinic_taxonomy); ?>"
					data-cat="<?php echo esc_attr($dental_clinic_id); ?>"
					data-parent-cat="<?php echo esc_attr($dental_clinic_cat); ?>"
					data-need-content="<?php echo (false===$dental_clinic_portfolio_need_content ? 'true' : 'false'); ?>"
				>
					<?php
					if ($dental_clinic_portfolio_need_content) 
						dental_clinic_show_portfolio_posts(array(
							'cat' => $dental_clinic_id,
							'parent_cat' => $dental_clinic_cat,
							'taxonomy' => $dental_clinic_taxonomy,
							'post_type' => $dental_clinic_post_type,
							'page' => 1,
							'sticky' => $dental_clinic_sticky_out
							)
						);
					?>
				</div>
				<?php
			}
			?>
		</div>
		<?php
	} else {
		dental_clinic_show_portfolio_posts(array(
			'cat' => $dental_clinic_cat,
			'parent_cat' => $dental_clinic_cat,
			'taxonomy' => $dental_clinic_taxonomy,
			'post_type' => $dental_clinic_post_type,
			'page' => 1,
			'sticky' => $dental_clinic_sticky_out
			)
		);
	}

	echo get_query_var('blog_archive_end');

} else {

	if ( is_search() )
		get_template_part( 'content', 'none-search' );
	else
		get_template_part( 'content', 'none-archive' );

}

get_footer();
?>