<?php
///* Contact Form 7 support functions
//------------------------------------------------------------------------------- */
//


// Check if cf7 installed and activated
if ( !function_exists( 'dental_clinic_exists_cf7' ) ) {
    function dental_clinic_exists_cf7() {
        return class_exists('WPCF7');
    }
}


/* Mail Chimp support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if (!function_exists('dental_clinic_cf7_theme_setup9')) {
    add_action('after_setup_theme', 'dental_clinic_cf7_theme_setup9', 9);
    function dental_clinic_cf7_theme_setup9()
    {
        if (dental_clinic_exists_cf7()) {
            add_action('wp_enqueue_scripts', 'dental_clinic_cf7_frontend_scripts', 1100);
            add_filter( 'dental_clinic_filter_merge_styles',					'dental_clinic_cf7_merge_styles');


        }
        if (is_admin()) {
            add_filter('dental_clinic_filter_tgmpa_required_plugins', 'dental_clinic_cf7_tgmpa_required_plugins');
        }
    }
}


// Filter to add in the required plugins list
if (!function_exists('dental_clinic_cf7_tgmpa_required_plugins')) {
    
    function dental_clinic_cf7_tgmpa_required_plugins($list = array())
    {
        if (in_array('contact-form-7', dental_clinic_storage_get('required_plugins')))
            $list[] = array(
                'name' => esc_html__('Contact Form 7', 'dental-clinic'),
                'slug' => 'contact-form-7',
                'required' => false
            );
        return $list;
    }
}


// Custom styles and scripts
//------------------------------------------------------------------------

// Enqueue custom styles
if (!function_exists('dental_clinic_cf7_frontend_scripts')) {
    
    function dental_clinic_cf7_frontend_scripts()
    {
        if (dental_clinic_exists_cf7()) {
            if (dental_clinic_is_on(dental_clinic_get_theme_option('debug_mode')) && dental_clinic_get_file_dir('plugins/contact-form-7/contact-form-7.css') != '')
                wp_enqueue_style( 'dental-clinic-contact-form-7', dental_clinic_get_file_url('plugins/contact-form-7/contact-form-7.css'), array(), null);
        }
    }
}

// Merge custom styles
if ( !function_exists( 'dental_clinic_cf7_merge_styles' ) ) {
    
    function dental_clinic_cf7_merge_styles($list) {
        $list[] = 'plugins/contact-form-7/contact-form-7.css';
        return $list;
    }
}
?>