<?php
/* Essential Grid support functions
------------------------------------------------------------------------------- */


// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if (!function_exists('dental_clinic_essential_grid_theme_setup9')) {
	add_action( 'after_setup_theme', 'dental_clinic_essential_grid_theme_setup9', 9 );
	function dental_clinic_essential_grid_theme_setup9() {
		if (dental_clinic_exists_essential_grid()) {
			add_action( 'wp_enqueue_scripts', 							'dental_clinic_essential_grid_frontend_scripts', 1100 );
			add_filter( 'dental_clinic_filter_merge_styles',					'dental_clinic_essential_grid_merge_styles' );
		}
		if (is_admin()) {
			add_filter( 'dental_clinic_filter_tgmpa_required_plugins',		'dental_clinic_essential_grid_tgmpa_required_plugins' );
		}
	}
}

// Check if plugin installed and activated
if ( !function_exists( 'dental_clinic_exists_essential_grid' ) ) {
	function dental_clinic_exists_essential_grid() {
        return defined('EG_PLUGIN_PATH') || defined( 'ESG_PLUGIN_PATH' );
	}
}

// Filter to add in the required plugins list
if ( !function_exists( 'dental_clinic_essential_grid_tgmpa_required_plugins' ) ) {
	
	function dental_clinic_essential_grid_tgmpa_required_plugins($list=array()) {
		if (in_array('essential-grid', dental_clinic_storage_get('required_plugins'))) {
			$path = dental_clinic_get_file_dir('plugins/essential-grid/essential-grid.zip');
			$list[] = array(
						'name' 		=> esc_html__('Essential Grid', 'dental-clinic'),
						'slug' 		=> 'essential-grid',
						'version'	=> '3.0.17.1',
						'source'	=> !empty($path) ? $path : 'upload://essential-grid.zip',
						'required' 	=> false
			);
		}
		return $list;
	}
}
	
// Enqueue plugin's custom styles
if ( !function_exists( 'dental_clinic_essential_grid_frontend_scripts' ) ) {
	
	function dental_clinic_essential_grid_frontend_scripts() {
		if (dental_clinic_is_on(dental_clinic_get_theme_option('debug_mode')) && dental_clinic_get_file_dir('plugins/essential-grid/essential-grid.css')!='')
			wp_enqueue_style( 'dental-clinic-essential-grid',  dental_clinic_get_file_url('plugins/essential-grid/essential-grid.css'), array(), null );
	}
}
	
// Merge custom styles
if ( !function_exists( 'dental_clinic_essential_grid_merge_styles' ) ) {
	
	function dental_clinic_essential_grid_merge_styles($list) {
		$list[] = 'plugins/essential-grid/essential-grid.css';
		return $list;
	}
}
?>