<?php
/* Revolution Slider support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if (!function_exists('dental_clinic_revslider_theme_setup9')) {
	add_action( 'after_setup_theme', 'dental_clinic_revslider_theme_setup9', 9 );
	function dental_clinic_revslider_theme_setup9() {
		if (is_admin()) {
			add_filter( 'dental_clinic_filter_tgmpa_required_plugins',	'dental_clinic_revslider_tgmpa_required_plugins' );
		}
	}
}

// Check if RevSlider installed and activated
if ( !function_exists( 'dental_clinic_exists_revslider' ) ) {
	function dental_clinic_exists_revslider() {
		return function_exists('rev_slider_shortcode');
	}
}

// Filter to add in the required plugins list
if ( !function_exists( 'dental_clinic_revslider_tgmpa_required_plugins' ) ) {
	
	function dental_clinic_revslider_tgmpa_required_plugins($list=array()) {
		if (in_array('revslider', dental_clinic_storage_get('required_plugins'))) {
			$path = dental_clinic_get_file_dir('plugins/revslider/revslider.zip');
			$list[] = array(
					'name' 		=> esc_html__('Revolution Slider', 'dental-clinic'),
					'slug' 		=> 'revslider',
					'version'	=> '6.5.31',
					'source'	=> !empty($path) ? $path : 'upload://revslider.zip',
					'required' 	=> false
			);
		}
		return $list;
	}
}
?>