<?php
/* ThemeREX Updater support functions
------------------------------------------------------------------------------- */


// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if ( ! function_exists( 'dental_clinic_trx_updater_theme_setup9' ) ) {
    add_action( 'after_setup_theme', 'dental_clinic_trx_updater_theme_setup9', 9 );
    function dental_clinic_trx_updater_theme_setup9() {
        if ( is_admin() ) {
            add_filter( 'dental_clinic_filter_tgmpa_required_plugins', 'dental_clinic_trx_updater_tgmpa_required_plugins', 8 );
        }
    }
}


// Filter to add in the required plugins list
if ( !function_exists( 'dental_clinic_trx_updater_tgmpa_required_plugins' ) ) {
    
    function dental_clinic_trx_updater_tgmpa_required_plugins($list=array()) {
        if (in_array('trx_updater', dental_clinic_storage_get('required_plugins'))) {
            $path = dental_clinic_get_file_dir('plugins/trx_updater/trx_updater.zip');
            $list[] = array(
                'name' 		=> esc_html__('ThemeREX Updater', 'dental-clinic'),
                'slug' 		=> 'trx_updater',
                'version'	=> '2.0.0',
                'source'   => ! empty( $path ) ? $path : 'upload://trx_updater.zip',
                'required' => false
            );
        }
        return $list;
    }
}



// Check if plugin installed and activated
if ( ! function_exists( 'dental_clinic_exists_trx_updater' ) ) {
    function dental_clinic_exists_trx_updater() {
        return defined( 'TRX_UPDATER_VERSION' );
    }
}
