<?php
/**
 * The Sidebar containing the main widget areas.
 *
 * @package WordPress
 * @subpackage DENTAL_CLINIC
 * @since DENTAL_CLINIC 1.0
 */

$dental_clinic_sidebar_position = dental_clinic_get_theme_option('sidebar_position');
if (dental_clinic_sidebar_present()) {
	ob_start();
	$dental_clinic_sidebar_name = dental_clinic_get_theme_option('sidebar_widgets');
	dental_clinic_storage_set('current_sidebar', 'sidebar');
	if ( is_active_sidebar($dental_clinic_sidebar_name) ) {
		dynamic_sidebar($dental_clinic_sidebar_name);
	}
	$dental_clinic_out = trim(ob_get_contents());
	ob_end_clean();
	if (!empty($dental_clinic_out)) {
		?>
		<div class="sidebar <?php echo esc_attr($dental_clinic_sidebar_position); ?> widget_area<?php if (!dental_clinic_is_inherit(dental_clinic_get_theme_option('sidebar_scheme'))) echo ' scheme_'.esc_attr(dental_clinic_get_theme_option('sidebar_scheme')); ?>" role="complementary">
			<div class="sidebar_inner">
				<?php
				do_action( 'dental_clinic_action_before_sidebar' );
				dental_clinic_show_layout(preg_replace("/<\/aside>[\r\n\s]*<aside/", "</aside><aside", $dental_clinic_out));
				do_action( 'dental_clinic_action_after_sidebar' );
				?>
			</div><!-- /.sidebar_inner -->
		</div><!-- /.sidebar -->
		<?php
	}
}
?>