<?php
/**
 * The template to display the copyright info in the footer
 *
 * @package WordPress
 * @subpackage DENTAL_CLINIC
 * @since DENTAL_CLINIC 1.0.10
 */

// Copyright area
$dental_clinic_footer_scheme =  dental_clinic_is_inherit(dental_clinic_get_theme_option('footer_scheme')) ? dental_clinic_get_theme_option('color_scheme') : dental_clinic_get_theme_option('footer_scheme');
$dental_clinic_copyright_scheme = dental_clinic_is_inherit(dental_clinic_get_theme_option('copyright_scheme')) ? $dental_clinic_footer_scheme : dental_clinic_get_theme_option('copyright_scheme');
?> 
<div class="footer_copyright_wrap scheme_<?php echo esc_attr($dental_clinic_copyright_scheme); ?>">
	<div class="footer_copyright_inner">
		<div class="content_wrap">
			<div class="copyright_text"><?php
				// Replace {{...}} and [[...]] on the <i>...</i> and <b>...</b>
				$dental_clinic_copyright = dental_clinic_prepare_macros(dental_clinic_get_theme_option('copyright'));
				if (!empty($dental_clinic_copyright)) {
					// Replace {date_format} on the current date in the specified format
					if (preg_match("/(\\{[\\w\\d\\\\\\-\\:]*\\})/", $dental_clinic_copyright, $dental_clinic_matches)) {
						$dental_clinic_copyright = str_replace($dental_clinic_matches[1], date(str_replace(array('{', '}'), '', $dental_clinic_matches[1])), $dental_clinic_copyright);
					}
					// Display copyright
					echo wp_kses_data(nl2br($dental_clinic_copyright));
				}
			?></div>
		</div>
	</div>
</div>
