<?php
/**
 * The template to display the site logo in the footer
 *
 * @package WordPress
 * @subpackage DENTAL_CLINIC
 * @since DENTAL_CLINIC 1.0.10
 */

// Logo
if (dental_clinic_is_on(dental_clinic_get_theme_option('logo_in_footer'))) {
	$dental_clinic_logo_image = '';
	if (dental_clinic_get_retina_multiplier(2) > 1)
		$dental_clinic_logo_image = dental_clinic_get_theme_option( 'logo_footer_retina' );
	if (empty($dental_clinic_logo_image)) 
		$dental_clinic_logo_image = dental_clinic_get_theme_option( 'logo_footer' );
	$dental_clinic_logo_text   = get_bloginfo( 'name' );
	if (!empty($dental_clinic_logo_image) || !empty($dental_clinic_logo_text)) {
		?>
		<div class="footer_logo_wrap">
			<div class="footer_logo_inner">
				<?php
				if (!empty($dental_clinic_logo_image)) {
					$dental_clinic_attr = dental_clinic_getimagesize($dental_clinic_logo_image);
					echo '<a href="'.esc_url(home_url('/')).'"><img src="'.esc_url($dental_clinic_logo_image).'" class="logo_footer_image" alt="'. esc_attr(basename($dental_clinic_logo_image)).'"'.(!empty($dental_clinic_attr[3]) ? sprintf(' %s', $dental_clinic_attr[3]) : '').'></a>' ;
				} else if (!empty($dental_clinic_logo_text)) {
					echo '<h1 class="logo_footer_text"><a href="'.esc_url(home_url('/')).'">' . esc_html($dental_clinic_logo_text) . '</a></h1>';
				}
				?>
			</div>
		</div>
		<?php
	}
}
?>