<?php
/**
 * The template to display the widgets area in the footer
 *
 * @package WordPress
 * @subpackage DENTAL_CLINIC
 * @since DENTAL_CLINIC 1.0.10
 */

// Footer sidebar
$dental_clinic_footer_name = dental_clinic_get_theme_option('footer_widgets');
$dental_clinic_footer_present = !dental_clinic_is_off($dental_clinic_footer_name) && is_active_sidebar($dental_clinic_footer_name);
if ($dental_clinic_footer_present) { 
	dental_clinic_storage_set('current_sidebar', 'footer');
	$dental_clinic_footer_wide = dental_clinic_get_theme_option('footer_wide');
	ob_start();
	if ( is_active_sidebar($dental_clinic_footer_name) ) {
		dynamic_sidebar($dental_clinic_footer_name);
	}
	$dental_clinic_out = trim(ob_get_contents());
	ob_end_clean();
	if (!empty($dental_clinic_out)) {
		$dental_clinic_out = preg_replace("/<\\/aside>[\r\n\s]*<aside/", "</aside><aside", $dental_clinic_out);
		$dental_clinic_need_columns = true;
		if ($dental_clinic_need_columns) {
			$dental_clinic_columns = max(0, (int) dental_clinic_get_theme_option('footer_columns'));
			if ($dental_clinic_columns == 0) $dental_clinic_columns = min(6, max(1, substr_count($dental_clinic_out, '<aside ')));
			if ($dental_clinic_columns > 1)
				$dental_clinic_out = preg_replace("/class=\"widget /", "class=\"column-1_".esc_attr($dental_clinic_columns).' widget ', $dental_clinic_out);
			else
				$dental_clinic_need_columns = false;
		}
		?>
		<div class="footer_widgets_wrap widget_area<?php echo !empty($dental_clinic_footer_wide) ? ' footer_fullwidth' : ''; ?>">
			<div class="footer_widgets_inner widget_area_inner">
				<?php 
				if (!$dental_clinic_footer_wide) { 
					?><div class="content_wrap"><?php
				}
				if ($dental_clinic_need_columns) {
					?><div class="columns_wrap"><?php
				}
				do_action( 'dental_clinic_action_before_sidebar' );
				dental_clinic_show_layout($dental_clinic_out);
				do_action( 'dental_clinic_action_after_sidebar' );
				if ($dental_clinic_need_columns) {
					?></div><!-- /.columns_wrap --><?php
				}
				if (!$dental_clinic_footer_wide) {
					?></div><!-- /.content_wrap --><?php
				}
				?>
			</div><!-- /.footer_widgets_inner -->
		</div><!-- /.footer_widgets_wrap -->
		<?php
	}
}
?>