<?php
/**
 * The template to display custom header from the ThemeREX Addons Layouts
 *
 * @package WordPress
 * @subpackage DENTAL_CLINIC
 * @since DENTAL_CLINIC 1.0.06
 */

$dental_clinic_header_css = $dental_clinic_header_image = '';
$dental_clinic_header_video = dental_clinic_get_header_video();
if (true || empty($dental_clinic_header_video)) {
	$dental_clinic_header_image = get_header_image();
	if (dental_clinic_is_on(dental_clinic_get_theme_option('header_image_override')) && apply_filters('dental_clinic_filter_allow_override_header_image', true)) {
		if (is_category()) {
			if (($dental_clinic_cat_img = dental_clinic_get_category_image()) != '')
				$dental_clinic_header_image = $dental_clinic_cat_img;
		} else if (is_singular() || dental_clinic_storage_isset('blog_archive')) {
			if (has_post_thumbnail()) {
				$dental_clinic_header_image = wp_get_attachment_image_src( get_post_thumbnail_id(), 'full' );
				if (is_array($dental_clinic_header_image)) $dental_clinic_header_image = $dental_clinic_header_image[0];
			} else
				$dental_clinic_header_image = '';
		}
	}
}

$dental_clinic_header_id = str_replace('header-custom-', '', dental_clinic_get_theme_option("header_style"));

?><header class="top_panel top_panel_custom top_panel_custom_<?php echo esc_attr($dental_clinic_header_id);
						echo !empty($dental_clinic_header_image) || !empty($dental_clinic_header_video) ? ' with_bg_image' : ' without_bg_image';
						if ($dental_clinic_header_video!='') echo ' with_bg_video';
						if ($dental_clinic_header_image!='') echo ' '.esc_attr(dental_clinic_add_inline_css_class('background-image: url('.esc_url($dental_clinic_header_image).');'));
						if (is_single() && has_post_thumbnail()) echo ' with_featured_image';
						if (dental_clinic_is_on(dental_clinic_get_theme_option('header_fullheight'))) echo ' header_fullheight trx-stretch-height';
						?> scheme_<?php echo esc_attr(dental_clinic_is_inherit(dental_clinic_get_theme_option('header_scheme')) 
														? dental_clinic_get_theme_option('color_scheme') 
														: dental_clinic_get_theme_option('header_scheme'));
						?>"><?php

	// Background video
	if (!empty($dental_clinic_header_video)) {
		get_template_part( 'templates/header-video' );
	}
		
	// Custom header's layout
	do_action('dental_clinic_action_show_layout', $dental_clinic_header_id);

	// Header widgets area
	get_template_part( 'templates/header-widgets' );


		
?></header>