<?php
/**
 * The template to display the logo or the site name and the slogan in the Header
 *
 * @package WordPress
 * @subpackage DENTAL_CLINIC
 * @since DENTAL_CLINIC 1.0
 */

$dental_clinic_args = get_query_var('dental_clinic_logo_args');

// Site logo
$dental_clinic_logo_image  = dental_clinic_get_logo_image(isset($dental_clinic_args['type']) ? $dental_clinic_args['type'] : '');
$dental_clinic_logo_text   = dental_clinic_is_on(dental_clinic_get_theme_option('logo_text')) ? get_bloginfo( 'name' ) : '';
$dental_clinic_logo_slogan = get_bloginfo( 'description', 'display' );
if (!empty($dental_clinic_logo_image) || !empty($dental_clinic_logo_text)) {
	?><a class="sc_layouts_logo" href="<?php echo is_front_page() ? '#' : esc_url(home_url('/')); ?>"><?php
		if (!empty($dental_clinic_logo_image)) {
			$dental_clinic_attr = dental_clinic_getimagesize($dental_clinic_logo_image);
			echo '<img src="'.esc_url($dental_clinic_logo_image).'" alt="'. esc_attr(basename($dental_clinic_logo_image)).'"'.(!empty($dental_clinic_attr[3]) ? sprintf(' %s', $dental_clinic_attr[3]) : '').'>' ;
		} else {
			dental_clinic_show_layout(dental_clinic_prepare_macros($dental_clinic_logo_text), '<span class="logo_text">', '</span>');
			dental_clinic_show_layout(dental_clinic_prepare_macros($dental_clinic_logo_slogan), '<span class="logo_slogan">', '</span>');
		}
	?></a><?php
}
?>