<?php
/**
 * The template to show mobile menu
 *
 * @package WordPress
 * @subpackage DENTAL_CLINIC
 * @since DENTAL_CLINIC 1.0
 */
?>
<div class="menu_mobile_overlay"></div>
<div class="menu_mobile menu_mobile_<?php echo esc_attr(dental_clinic_get_theme_option('menu_mobile_fullscreen') > 0 ? 'fullscreen' : 'narrow'); ?> scheme_dark">
	<div class="menu_mobile_inner">
		<a class="menu_mobile_close icon-cancel"></a><?php

		// Logo
		set_query_var('dental_clinic_logo_args', array('type' => 'inverse'));
		get_template_part( 'templates/header-logo' );
		set_query_var('dental_clinic_logo_args', array());

		// Mobile menu
		$dental_clinic_menu_mobile = dental_clinic_get_nav_menu('menu_mobile');
		if (empty($dental_clinic_menu_mobile)) {
			$dental_clinic_menu_mobile = apply_filters('dental_clinic_filter_get_mobile_menu', '');
			if (empty($dental_clinic_menu_mobile)) $dental_clinic_menu_mobile = dental_clinic_get_nav_menu('menu_main');
			if (empty($dental_clinic_menu_mobile)) $dental_clinic_menu_mobile = dental_clinic_get_nav_menu();
		}
		if (!empty($dental_clinic_menu_mobile)) {
			if (!empty($dental_clinic_menu_mobile))
				$dental_clinic_menu_mobile = str_replace(
					array('menu_main', 'id="menu-', 'sc_layouts_menu_nav', 'sc_layouts_hide_on_mobile', 'hide_on_mobile'),
					array('menu_mobile', 'id="menu_mobile-', '', '', ''),
					$dental_clinic_menu_mobile
					);
			if (strpos($dental_clinic_menu_mobile, '<nav ')===false)
				$dental_clinic_menu_mobile = sprintf('<nav class="menu_mobile_nav_area">%s</nav>', $dental_clinic_menu_mobile);
			dental_clinic_show_layout(apply_filters('dental_clinic_filter_menu_mobile_layout', $dental_clinic_menu_mobile));
		}

		// Search field
		do_action('dental_clinic_action_search', 'normal', 'search_mobile', false);
		
		// Social icons
		dental_clinic_show_layout(dental_clinic_get_socials_links(), '<div class="socials_mobile">', '</div>');
		?>
	</div>
</div>
