<?php
/**
 * The template to display the page title and breadcrumbs
 *
 * @package WordPress
 * @subpackage DENTAL_CLINIC
 * @since DENTAL_CLINIC 1.0
 */

// Page (category, tag, archive, author) title

if ( dental_clinic_need_page_title() && !is_front_page()) {
	dental_clinic_sc_layouts_showed('title', true);
	dental_clinic_sc_layouts_showed('postmeta', true);
	?>
	<div class="top_panel_title sc_layouts_row sc_layouts_row_type_normal scheme_dark">
		<div class="content_wrap">
			<div class="sc_layouts_column sc_layouts_column_align_center">
				<div class="sc_layouts_item">
					<div class="sc_layouts_title">
						<?php
						// Blog/Post title
						?><div class="sc_layouts_title_title"><?php
							$dental_clinic_blog_title = dental_clinic_get_blog_title();
							$dental_clinic_blog_title_text = $dental_clinic_blog_title_class = $dental_clinic_blog_title_link = $dental_clinic_blog_title_link_text = '';
							if (is_array($dental_clinic_blog_title)) {
								$dental_clinic_blog_title_text = $dental_clinic_blog_title['text'];
								$dental_clinic_blog_title_class = !empty($dental_clinic_blog_title['class']) ? ' '.$dental_clinic_blog_title['class'] : '';
								$dental_clinic_blog_title_link = !empty($dental_clinic_blog_title['link']) ? $dental_clinic_blog_title['link'] : '';
								$dental_clinic_blog_title_link_text = !empty($dental_clinic_blog_title['link_text']) ? $dental_clinic_blog_title['link_text'] : '';
							} else
								$dental_clinic_blog_title_text = $dental_clinic_blog_title;
							?>
							<h1 class="sc_layouts_title_caption<?php echo esc_attr($dental_clinic_blog_title_class); ?>"><?php
								$dental_clinic_top_icon = dental_clinic_get_category_icon();
								if (!empty($dental_clinic_top_icon)) {
									$dental_clinic_attr = dental_clinic_getimagesize($dental_clinic_top_icon);
									?><img src="<?php echo esc_url($dental_clinic_top_icon); ?>" alt="<?php echo esc_attr(basename($dental_clinic_top_icon)); ?>" <?php if (!empty($dental_clinic_attr[3])) dental_clinic_show_layout($dental_clinic_attr[3]);?>><?php
								}
								echo wp_kses($dental_clinic_blog_title_text, 'dental_clinic_kses_content');
							?></h1>
							<?php
							if (!empty($dental_clinic_blog_title_link) && !empty($dental_clinic_blog_title_link_text)) {
								?><a href="<?php echo esc_url($dental_clinic_blog_title_link); ?>" class="theme_button theme_button_small sc_layouts_title_link"><?php echo esc_html($dental_clinic_blog_title_link_text); ?></a><?php
							}
							
							// Category/Tag description
							if ( is_category() || is_tag() || is_tax() ) 
								the_archive_description( '<div class="sc_layouts_title_description">', '</div>' );
		
						?></div><?php
	
						// Breadcrumbs
						?><div class="sc_layouts_title_breadcrumbs"><?php
							do_action( 'dental_clinic_action_breadcrumbs');
						?></div>
					</div>
				</div>
			</div>
		</div>
	</div>
	<?php
}
?>