<?php
/**
 * The template to display posts in widgets and/or in the search results
 *
 * @package WordPress
 * @subpackage DENTAL_CLINIC
 * @since DENTAL_CLINIC 1.0
 */

$dental_clinic_post_id    = get_the_ID();
$dental_clinic_post_date  = dental_clinic_get_date();
$dental_clinic_post_title = get_the_title();
$dental_clinic_post_link  = get_permalink();
$dental_clinic_post_author_id   = get_the_author_meta('ID');
$dental_clinic_post_author_name = get_the_author_meta('display_name');
$dental_clinic_post_author_url  = get_author_posts_url($dental_clinic_post_author_id, '');

$dental_clinic_args = get_query_var('dental_clinic_args_widgets_posts');
$dental_clinic_show_date = isset($dental_clinic_args['show_date']) ? (int) $dental_clinic_args['show_date'] : 1;
$dental_clinic_show_image = isset($dental_clinic_args['show_image']) ? (int) $dental_clinic_args['show_image'] : 1;
$dental_clinic_show_author = isset($dental_clinic_args['show_author']) ? (int) $dental_clinic_args['show_author'] : 1;
$dental_clinic_show_counters = isset($dental_clinic_args['show_counters']) ? (int) $dental_clinic_args['show_counters'] : 1;
$dental_clinic_show_categories = isset($dental_clinic_args['show_categories']) ? (int) $dental_clinic_args['show_categories'] : 1;

$dental_clinic_output = dental_clinic_storage_get('dental_clinic_output_widgets_posts');

$dental_clinic_post_counters_output = '';
if ( $dental_clinic_show_counters ) {
	$dental_clinic_post_counters_output = '<span class="post_info_item post_info_counters">'
								. dental_clinic_get_post_counters('comments')
							. '</span>';
}


$dental_clinic_output .= '<article class="post_item with_thumb">';

if ($dental_clinic_show_image) {
	$dental_clinic_post_thumb = get_the_post_thumbnail($dental_clinic_post_id, dental_clinic_get_thumb_size('tiny'), array(
		'alt' => the_title_attribute( array( 'echo' => false ) )
	));
	if ($dental_clinic_post_thumb) $dental_clinic_output .= '<div class="post_thumb">' . ($dental_clinic_post_link ? '<a href="' . esc_url($dental_clinic_post_link) . '">' : '') . ($dental_clinic_post_thumb) . ($dental_clinic_post_link ? '</a>' : '') . '</div>';
}

$dental_clinic_output .= '<div class="post_content">'
			. ($dental_clinic_show_categories 
					? '<div class="post_categories">'
						. dental_clinic_get_post_categories()
						. $dental_clinic_post_counters_output
						. '</div>' 
					: '')
			. '<h6 class="post_title">' . ($dental_clinic_post_link ? '<a href="' . esc_url($dental_clinic_post_link) . '">' : '') . ($dental_clinic_post_title) . ($dental_clinic_post_link ? '</a>' : '') . '</h6>'
			. apply_filters('dental_clinic_filter_get_post_info', 
								'<div class="post_info">'
									. ($dental_clinic_show_date 
										? '<span class="post_info_item post_info_posted">'
											. ($dental_clinic_post_link ? '<a href="' . esc_url($dental_clinic_post_link) . '" class="post_info_date">' : '') 
											. esc_html($dental_clinic_post_date) 
											. ($dental_clinic_post_link ? '</a>' : '')
											. '</span>'
										: '')
									. ($dental_clinic_show_author 
										? '<span class="post_info_item post_info_posted_by">' 
											. esc_html__('by', 'dental-clinic') . ' ' 
											. ($dental_clinic_post_link ? '<a href="' . esc_url($dental_clinic_post_author_url) . '" class="post_info_author">' : '') 
											. esc_html($dental_clinic_post_author_name) 
											. ($dental_clinic_post_link ? '</a>' : '') 
											. '</span>'
										: '')
									. (!$dental_clinic_show_categories && $dental_clinic_post_counters_output
										? $dental_clinic_post_counters_output
										: '')
								. '</div>')
		. '</div>'
	. '</article>';
dental_clinic_storage_set('dental_clinic_output_widgets_posts', $dental_clinic_output);
?>