<?php
/* Theme-specific action to configure ThemeREX Addons components
------------------------------------------------------------------------------- */


/* ThemeREX Addons components
------------------------------------------------------------------------------- */

if (!function_exists('dental_clinic_trx_addons_theme_specific_setup1')) {
	add_action( 'after_setup_theme', 'dental_clinic_trx_addons_theme_specific_setup1', 1 );
	add_action( 'trx_addons_action_save_options', 'dental_clinic_trx_addons_theme_specific_setup1', 8 );
	function dental_clinic_trx_addons_theme_specific_setup1() {
		if (dental_clinic_exists_trx_addons()) {
			add_filter( 'trx_addons_cv_enable',				'dental_clinic_trx_addons_cv_enable');
			add_filter( 'trx_addons_cpt_list',				'dental_clinic_trx_addons_cpt_list');
			add_filter( 'trx_addons_sc_list',				'dental_clinic_trx_addons_sc_list');
			add_filter( 'trx_addons_widgets_list',			'dental_clinic_trx_addons_widgets_list');

            //Add new params
            add_filter('trx_addons_sc_map',      'dental_clinic_specific_sc_add_map', 10, 2);

            //Add new atts to shortcode
            add_filter('trx_addons_sc_atts',     'dental_clinic_specific_sc_atts', 10, 2);
		}
	}
}

// CV
if ( !function_exists( 'dental_clinic_trx_addons_cv_enable' ) ) {
	
	function dental_clinic_trx_addons_cv_enable($enable=false) {
		// To do: return false if theme not use CV functionality
		return false;
	}
}

// CPT
if ( !function_exists( 'dental_clinic_trx_addons_cpt_list' ) ) {
	
	function dental_clinic_trx_addons_cpt_list($list=array()) {
		// To do: Enable/Disable CPT via add/remove it in the list
        unset($list['portfolio']);
        unset($list['resume']);
        unset($list['courses']);
        unset($list['certificates']);
        unset($list['sport']);
        unset($list['dishes']);
		return $list;
	}
}

// Shortcodes
if ( !function_exists( 'dental_clinic_trx_addons_sc_list' ) ) {
	
	function dental_clinic_trx_addons_sc_list($list=array()) {
		// To do: Add/Remove shortcodes into list
		// If you add new shortcode - in the theme's folder must exists /trx_addons/shortcodes/new_sc_name/new_sc_name.php
		return $list;
	}
}

// Widgets
if ( !function_exists( 'dental_clinic_trx_addons_widgets_list' ) ) {
	
	function dental_clinic_trx_addons_widgets_list($list=array()) {
		// To do: Add/Remove widgets into list
		// If you add widget - in the theme's folder must exists /trx_addons/widgets/new_widget_name/new_widget_name.php
        unset($list['aboutme']);
        unset($list['banner']);
        unset($list['flickr']);
        unset($list['recent_news']);
		return $list;
	}
}


/* Add options in the Theme Options Customizer
------------------------------------------------------------------------------- */

// Theme init priorities:
// 3 - add/remove Theme Options elements
if (!function_exists('dental_clinic_trx_addons_theme_specific_setup3')) {
	add_action( 'after_setup_theme', 'dental_clinic_trx_addons_theme_specific_setup3', 3 );
	function dental_clinic_trx_addons_theme_specific_setup3() {
		
		// Section 'Courses' - settings to show 'Courses' blog archive and single posts
		if (dental_clinic_exists_courses()) {
		
			dental_clinic_storage_merge_array('options', '', array(
				'courses' => array(
					"title" => esc_html__('Courses', 'dental-clinic'),
					"desc" => wp_kses_data( __('Select parameters to display the courses pages', 'dental-clinic') ),
					"type" => "section"
					),
				'expand_content_courses' => array(
					"title" => esc_html__('Expand content', 'dental-clinic'),
					"desc" => wp_kses_data( __('Expand the content width if the sidebar is hidden', 'dental-clinic') ),
					"refresh" => false,
					"std" => 1,
					"type" => "checkbox"
					),
				'header_style_courses' => array(
					"title" => esc_html__('Header style', 'dental-clinic'),
					"desc" => wp_kses_data( __('Select style to display the site header on the courses pages', 'dental-clinic') ),
					"std" => 'inherit',
					"options" => array(),
					"type" => "select"
					),
				'header_position_courses' => array(
					"title" => esc_html__('Header position', 'dental-clinic'),
					"desc" => wp_kses_data( __('Select position to display the site header on the courses pages', 'dental-clinic') ),
					"std" => 'inherit',
					"options" => array(),
					"type" => "select"
					),
				'header_widgets_courses' => array(
					"title" => esc_html__('Header widgets', 'dental-clinic'),
					"desc" => wp_kses_data( __('Select set of widgets to show in the header on the courses pages', 'dental-clinic') ),
					"std" => 'hide',
					"options" => array(),
					"type" => "select"
					),
				'sidebar_widgets_courses' => array(
					"title" => esc_html__('Sidebar widgets', 'dental-clinic'),
					"desc" => wp_kses_data( __('Select sidebar to show on the courses pages', 'dental-clinic') ),
					"std" => 'hide',
					"options" => array(),
					"type" => "select"
					),
				'sidebar_position_courses' => array(
					"title" => esc_html__('Sidebar position', 'dental-clinic'),
					"desc" => wp_kses_data( __('Select position to show sidebar on the courses pages', 'dental-clinic') ),
					"refresh" => false,
					"std" => 'left',
					"options" => array(),
					"type" => "select"
					),
				'hide_sidebar_on_single_courses' => array(
					"title" => esc_html__('Hide sidebar on the single course', 'dental-clinic'),
					"desc" => wp_kses_data( __("Hide sidebar on the single course's page", 'dental-clinic') ),
					"std" => 0,
					"type" => "checkbox"
					),
				'widgets_above_page_courses' => array(
					"title" => esc_html__('Widgets above the page', 'dental-clinic'),
					"desc" => wp_kses_data( __('Select widgets to show above page (content and sidebar)', 'dental-clinic') ),
					"std" => 'hide',
					"options" => array(),
					"type" => "select"
					),
				'widgets_above_content_courses' => array(
					"title" => esc_html__('Widgets above the content', 'dental-clinic'),
					"desc" => wp_kses_data( __('Select widgets to show at the beginning of the content area', 'dental-clinic') ),
					"std" => 'hide',
					"options" => array(),
					"type" => "select"
					),
				'widgets_below_content_courses' => array(
					"title" => esc_html__('Widgets below the content', 'dental-clinic'),
					"desc" => wp_kses_data( __('Select widgets to show at the ending of the content area', 'dental-clinic') ),
					"std" => 'hide',
					"options" => array(),
					"type" => "select"
					),
				'widgets_below_page_courses' => array(
					"title" => esc_html__('Widgets below the page', 'dental-clinic'),
					"desc" => wp_kses_data( __('Select widgets to show below the page (content and sidebar)', 'dental-clinic') ),
					"std" => 'hide',
					"options" => array(),
					"type" => "select"
					),
				'footer_scheme_courses' => array(
					"title" => esc_html__('Footer Color Scheme', 'dental-clinic'),
					"desc" => wp_kses_data( __('Select color scheme to decorate footer area', 'dental-clinic') ),
					"std" => 'dark',
					"options" => array(),
					"type" => "select"
					),
				'footer_widgets_courses' => array(
					"title" => esc_html__('Footer widgets', 'dental-clinic'),
					"desc" => wp_kses_data( __('Select set of widgets to show in the footer', 'dental-clinic') ),
					"std" => 'footer_widgets',
					"options" => array(),
					"type" => "select"
					),
				'footer_columns_courses' => array(
					"title" => esc_html__('Footer columns', 'dental-clinic'),
					"desc" => wp_kses_data( __('Select number columns to show widgets in the footer. If 0 - autodetect by the widgets count', 'dental-clinic') ),
					"dependency" => array(
						'footer_widgets_courses' => array('^hide')
					),
					"std" => 0,
					"options" => dental_clinic_get_list_range(0,6),
					"type" => "select"
					),
				'footer_wide_courses' => array(
					"title" => esc_html__('Footer fullwide', 'dental-clinic'),
					"desc" => wp_kses_data( __('Do you want to stretch the footer to the entire window width?', 'dental-clinic') ),
					"std" => 0,
					"type" => "checkbox"
					)
				)
			);
		}
		
		// Section 'Sport' - settings to show 'Sport' blog archive and single posts
		if (dental_clinic_exists_sport()) {
			dental_clinic_storage_merge_array('options', '', array(
				'sport' => array(
					"title" => esc_html__('Sport', 'dental-clinic'),
					"desc" => wp_kses_data( __('Select parameters to display the sport pages', 'dental-clinic') ),
					"type" => "section"
					),
				'expand_content_sport' => array(
					"title" => esc_html__('Expand content', 'dental-clinic'),
					"desc" => wp_kses_data( __('Expand the content width if the sidebar is hidden', 'dental-clinic') ),
					"refresh" => false,
					"std" => 1,
					"type" => "checkbox"
					),
				'header_style_sport' => array(
					"title" => esc_html__('Header style', 'dental-clinic'),
					"desc" => wp_kses_data( __('Select style to display the site header on the sport pages', 'dental-clinic') ),
					"std" => 'inherit',
					"options" => array(),
					"type" => "select"
					),
				'header_position_sport' => array(
					"title" => esc_html__('Header position', 'dental-clinic'),
					"desc" => wp_kses_data( __('Select position to display the site header on the sport pages', 'dental-clinic') ),
					"std" => 'inherit',
					"options" => array(),
					"type" => "select"
					),
				'header_widgets_sport' => array(
					"title" => esc_html__('Header widgets', 'dental-clinic'),
					"desc" => wp_kses_data( __('Select set of widgets to show in the header on the sport pages', 'dental-clinic') ),
					"std" => 'hide',
					"options" => array(),
					"type" => "select"
					),
				'sidebar_widgets_sport' => array(
					"title" => esc_html__('Sidebar widgets', 'dental-clinic'),
					"desc" => wp_kses_data( __('Select sidebar to show on the sport pages', 'dental-clinic') ),
					"std" => 'hide',
					"options" => array(),
					"type" => "select"
					),
				'sidebar_position_sport' => array(
					"title" => esc_html__('Sidebar position', 'dental-clinic'),
					"desc" => wp_kses_data( __('Select position to show sidebar on the sport pages', 'dental-clinic') ),
					"refresh" => false,
					"std" => 'left',
					"options" => array(),
					"type" => "select"
					),
				'hide_sidebar_on_single_sport' => array(
					"title" => esc_html__('Hide sidebar on the single course', 'dental-clinic'),
					"desc" => wp_kses_data( __("Hide sidebar on the single course's page", 'dental-clinic') ),
					"std" => 0,
					"type" => "checkbox"
					),
				'widgets_above_page_sport' => array(
					"title" => esc_html__('Widgets above the page', 'dental-clinic'),
					"desc" => wp_kses_data( __('Select widgets to show above page (content and sidebar)', 'dental-clinic') ),
					"std" => 'hide',
					"options" => array(),
					"type" => "select"
					),
				'widgets_above_content_sport' => array(
					"title" => esc_html__('Widgets above the content', 'dental-clinic'),
					"desc" => wp_kses_data( __('Select widgets to show at the beginning of the content area', 'dental-clinic') ),
					"std" => 'hide',
					"options" => array(),
					"type" => "select"
					),
				'widgets_below_content_sport' => array(
					"title" => esc_html__('Widgets below the content', 'dental-clinic'),
					"desc" => wp_kses_data( __('Select widgets to show at the ending of the content area', 'dental-clinic') ),
					"std" => 'hide',
					"options" => array(),
					"type" => "select"
					),
				'widgets_below_page_sport' => array(
					"title" => esc_html__('Widgets below the page', 'dental-clinic'),
					"desc" => wp_kses_data( __('Select widgets to show below the page (content and sidebar)', 'dental-clinic') ),
					"std" => 'hide',
					"options" => array(),
					"type" => "select"
					),
				'footer_scheme_sport' => array(
					"title" => esc_html__('Footer Color Scheme', 'dental-clinic'),
					"desc" => wp_kses_data( __('Select color scheme to decorate footer area', 'dental-clinic') ),
					"std" => 'dark',
					"options" => array(),
					"type" => "select"
					),
				'footer_widgets_sport' => array(
					"title" => esc_html__('Footer widgets', 'dental-clinic'),
					"desc" => wp_kses_data( __('Select set of widgets to show in the footer', 'dental-clinic') ),
					"std" => 'footer_widgets',
					"options" => array(),
					"type" => "select"
					),
				'footer_columns_sport' => array(
					"title" => esc_html__('Footer columns', 'dental-clinic'),
					"desc" => wp_kses_data( __('Select number columns to show widgets in the footer. If 0 - autodetect by the widgets count', 'dental-clinic') ),
					"dependency" => array(
						'footer_widgets_sport' => array('^hide')
					),
					"std" => 0,
					"options" => dental_clinic_get_list_range(0,6),
					"type" => "select"
					),
				'footer_wide_sport' => array(
					"title" => esc_html__('Footer fullwide', 'dental-clinic'),
					"desc" => wp_kses_data( __('Do you want to stretch the footer to the entire window width?', 'dental-clinic') ),
					"std" => 0,
					"type" => "checkbox"
					)
				)
			);
		}
	}
}

// Add mobile menu to the plugin's cached menu list
if ( !function_exists( 'dental_clinic_trx_addons_menu_cache' ) ) {
	add_filter( 'trx_addons_filter_menu_cache', 'dental_clinic_trx_addons_menu_cache');
	function dental_clinic_trx_addons_menu_cache($list=array()) {
		if (in_array('#menu_main', $list)) $list[] = '#menu_mobile';
		$list[] = '.menu_mobile_inner > nav > ul';
		return $list;
	}
}

// Add vars into localize array
if (!function_exists('dental_clinic_trx_addons_localize_script')) {
	add_filter( 'dental_clinic_filter_localize_script','dental_clinic_trx_addons_localize_script' );
	function dental_clinic_trx_addons_localize_script($arr) {
		$arr['alter_link_color'] = dental_clinic_get_scheme_color('alter_link');
		return $arr;
	}
}


// Add theme-specific layouts to the list
if (!function_exists('dental_clinic_trx_addons_theme_specific_default_layouts')) {
	add_filter( 'trx_addons_filter_default_layouts',	'dental_clinic_trx_addons_theme_specific_default_layouts');
	function dental_clinic_trx_addons_theme_specific_default_layouts($default_layouts=array()) {
		require_once DENTAL_CLINIC_THEME_DIR . 'theme-specific/trx_addons.layouts.php';
		return isset($layouts) && is_array($layouts) && count($layouts) > 0
						? array_merge($default_layouts, $layouts)
						: $default_layouts;
	}
}

// Disable override header image on team pages
if ( !function_exists( 'dental_clinic_trx_addons_allow_override_header_image' ) ) {
	add_filter( 'dental_clinic_filter_allow_override_header_image', 'dental_clinic_trx_addons_allow_override_header_image' );
	function dental_clinic_trx_addons_allow_override_header_image($allow) {
		return dental_clinic_is_team_page() || dental_clinic_is_portfolio_page() ? false : $allow;
	}
}

// Hide sidebar on the team pages
if ( !function_exists( 'dental_clinic_trx_addons_sidebar_present' ) ) {
	add_filter( 'dental_clinic_filter_sidebar_present', 'dental_clinic_trx_addons_sidebar_present' );
	function dental_clinic_trx_addons_sidebar_present($present) {
		return !is_single() && (dental_clinic_is_team_page() || dental_clinic_is_portfolio_page()) ? false : $present;
	}
}


// WP Editor addons
//------------------------------------------------------------------------

// Theme-specific configure of the WP Editor
if ( !function_exists( 'dental_clinic_trx_addons_editor_init' ) ) {
	if (is_admin()) add_filter( 'tiny_mce_before_init', 'dental_clinic_trx_addons_editor_init', 11);
	function dental_clinic_trx_addons_editor_init($opt) {
		if (dental_clinic_exists_trx_addons()) {
			// Add style 'Arrow' to the 'List styles'
			// Remove 'false &&' from condition below to add new style to the list
			if (!empty($opt['style_formats'])) {
				$style_formats = json_decode($opt['style_formats'], true);
				if (is_array($style_formats) && count($style_formats)>0 ) {
					foreach ($style_formats as $k=>$v) {
                        if ( $v['title'] == esc_html__('Inline', 'dental-clinic') ) {
                            $style_formats[$k]['items'][] = array(
                                'title' => esc_html__('Accent hovered', 'dental-clinic'),
                                'inline' => 'span',
                                'classes' => 'trx_addons_accent_hovered'
                            );
                        }
                        if ( $v['title'] == esc_html__('Inline', 'dental-clinic') ) {
                            $style_formats[$k]['items'][] = array(
                                'title' => esc_html__('Dropcap 3', 'dental-clinic'),
                                'inline' => 'span',
                                'classes' => 'trx_addons_dropcap trx_addons_dropcap_style_3'
                            );
                            $style_formats[$k]['items'][] = array(
                                'title' => esc_html__('Dropcap 4', 'dental-clinic'),
                                'inline' => 'span',
                                'classes' => 'trx_addons_dropcap trx_addons_dropcap_style_4'
                            );
                        }
					}
					$opt['style_formats'] = json_encode( $style_formats );		
				}
			}
		}
		return $opt;
	}
}


// Theme-specific thumb sizes
//------------------------------------------------------------------------

// Replace thumb sizes to the theme-specific
if ( !function_exists( 'dental_clinic_trx_addons_add_thumb_sizes' ) ) {
	add_filter( 'trx_addons_filter_add_thumb_sizes', 'dental_clinic_trx_addons_add_thumb_sizes');
	function dental_clinic_trx_addons_add_thumb_sizes($list=array()) {
		if (is_array($list)) {
			foreach ($list as $k=>$v) {
				if (in_array($k, array(
								'trx_addons-thumb-huge',
								'trx_addons-thumb-big',
								'trx_addons-thumb-medium',
								'trx_addons-thumb-tiny',
								'trx_addons-thumb-masonry-big',
								'trx_addons-thumb-masonry',
								)
							)
						) unset($list[$k]);
			}
		}
		return $list;
	}
}

// Return theme-specific thumb size instead removed plugin's thumb size
if ( !function_exists( 'dental_clinic_trx_addons_get_thumb_size' ) ) {
	add_filter( 'trx_addons_filter_get_thumb_size', 'dental_clinic_trx_addons_get_thumb_size');
	function dental_clinic_trx_addons_get_thumb_size($thumb_size='') {
		return str_replace(array(
							'trx_addons-thumb-huge',
							'trx_addons-thumb-huge-@retina',
							'trx_addons-thumb-big',
							'trx_addons-thumb-big-@retina',
							'trx_addons-thumb-medium',
							'trx_addons-thumb-medium-@retina',
                'trx_addons-thumb-post',
                'trx_addons-thumb-post-@retina',
                'trx_addons-thumb-team',
                'trx_addons-thumb-team-@retina',
							'trx_addons-thumb-tiny',
							'trx_addons-thumb-tiny-@retina',
							'trx_addons-thumb-masonry-big',
							'trx_addons-thumb-masonry-big-@retina',
							'trx_addons-thumb-masonry',
							'trx_addons-thumb-masonry-@retina',
							),
							array(
							'dental_clinic-thumb-huge',
							'dental_clinic-thumb-huge-@retina',
							'dental_clinic-thumb-big',
							'dental_clinic-thumb-big-@retina',
							'dental_clinic-thumb-med',
							'dental_clinic-thumb-med-@retina',
                                'dental_clinic-thumb-post',
                                'dental_clinic-thumb-post-@retina',
                                'dental_clinic-thumb-team',
                                'dental_clinic-thumb-team-@retina',
							'dental_clinic-thumb-tiny',
							'dental_clinic-thumb-tiny-@retina',
							'dental_clinic-thumb-masonry-big',
							'dental_clinic-thumb-masonry-big-@retina',
							'dental_clinic-thumb-masonry',
							'dental_clinic-thumb-masonry-@retina',
							),
							$thumb_size);
	}
}

// Get thumb size for the team items
if ( !function_exists( 'dental_clinic_trx_addons_thumb_size' ) ) {
	add_filter( 'trx_addons_filter_thumb_size',	'dental_clinic_trx_addons_thumb_size', 10, 2);
	function dental_clinic_trx_addons_thumb_size($thumb_size='', $type='') {
		if ($type == 'team-default')
			$thumb_size = dental_clinic_get_thumb_size('med');
		return $thumb_size;
	}
}



// Shortcodes support
//------------------------------------------------------------------------

// Return tag for the item's title
if ( !function_exists( 'dental_clinic_trx_addons_sc_item_title_tag' ) ) {
	add_filter( 'trx_addons_filter_sc_item_title_tag', 'dental_clinic_trx_addons_sc_item_title_tag');
	function dental_clinic_trx_addons_sc_item_title_tag($tag='') {
		return $tag=='h1' ? 'h2' : $tag;
	}
}

// Return args for the item's button
if ( !function_exists( 'dental_clinic_trx_addons_sc_item_button_args' ) ) {
	add_filter( 'trx_addons_filter_sc_item_button_args', 'dental_clinic_trx_addons_sc_item_button_args');
	function dental_clinic_trx_addons_sc_item_button_args($args, $sc='') {
		if (false && $sc != 'sc_button') {
			$args['type'] = 'simple';
			$args['icon_type'] = 'fontawesome';
			$args['icon_fontawesome'] = 'icon-down-big';
			$args['icon_position'] = 'top';
		}
		return $args;
	}
}

// Add new types in the shortcodes
if ( !function_exists( 'dental_clinic_trx_addons_sc_type' ) ) {
	add_filter( 'trx_addons_sc_type', 'dental_clinic_trx_addons_sc_type', 10, 2);
	function dental_clinic_trx_addons_sc_type($list, $sc) {

		return $list;
	}
}


// Add new styles to the Google map
if ( !function_exists( 'dental_clinic_trx_addons_sc_googlemap_styles' ) ) {
	add_filter( 'trx_addons_filter_sc_googlemap_styles',	'dental_clinic_trx_addons_sc_googlemap_styles');
	function dental_clinic_trx_addons_sc_googlemap_styles($list) {
		$list[esc_html__('Dark', 'dental-clinic')] = 'dark';
        $list[esc_html__('Grey', 'dental-clinic')] = 'grey';
		return $list;
	}
}

// Add params to the shortcode
if ( !function_exists('dental_clinic_specific_sc_add_map') ) {
    function dental_clinic_specific_sc_add_map($params, $sc) {
        //Promo image2
        if (in_array($sc, array('trx_sc_promo'))) {
            $params['params'][] = array(
                "param_name" => "icons_link",
                "heading" => esc_html__("Icons link", 'dental-clinic'),
                "description" => wp_kses_data( __("Show icons link", 'dental-clinic') ),
                "group" => esc_html__('Icons', 'dental-clinic'),
                'dependency' => array(
                    'element' => 'size',
                    'value' => 'tiny'
                ),
                "std" => "0",
                "value" => array(esc_html__("Icons link", 'dental-clinic') => "1" ),
                "type" => "checkbox"
            );
            $params['params'][] = array(
                "param_name" => "icons_link_text",
                "heading" => esc_html__("Icons link", 'dental-clinic'),
                "description" => wp_kses_data( __("Enter icons link", 'dental-clinic') ),
                "group" => esc_html__('Icons', 'dental-clinic'),
                'dependency' => array(
                    'element' => 'icons_link',
                    'value' => '1'
                ),
                "type" => "textfield"
            );
        }
        return $params;
    }
}


// Add params to the default shortcode's atts
if ( !function_exists( 'dental_clinic_specific_sc_atts' ) ) {
    function dental_clinic_specific_sc_atts($atts, $sc) {
        // Promo image
        if ($sc == 'trx_sc_promo')
            $atts['icons_link_text'] = '';

        return $atts;
    }
}